commit:     cf5938631c06dd4faa315868c5cdca1ce9be2fd1
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  9 15:18:16 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sun Jul  9 15:18:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf593863

dev-python/python-lsp-jsonrpc: update EAPI 7 -> 8

Closes: https://bugs.gentoo.org/909957
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 .../python-lsp-jsonrpc-1.0.0-r1.ebuild             | 35 ++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0-r1.ebuild 
b/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0-r1.ebuild
new file mode 100644
index 000000000000..b34374ec9df3
--- /dev/null
+++ b/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="JSON RPC 2.0 server library"
+HOMEPAGE="https://github.com/python-lsp/python-lsp-jsonrpc";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/pycodestyle[${PYTHON_USEDEP}]
+               dev-python/pyflakes[${PYTHON_USEDEP}]
+       )"
+
+RDEPEND=">=dev-python/ujson-3[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+PATCHES=( "${FILESDIR}/${P}-fix-test-with-ujson-3-and-up.patch" )
+
+python_prepare_all() {
+       # Remove pytest-cov dep
+       sed -i -e '0,/addopts/I!d' setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to